<?php
// VC [mgt_header_block_wp]
vc_map(array(
   "name" 			=> "MGT Header Block",
   "category" 		=> 'CryptiBIT Content',
   "description"	=> "Add heading block with header and subheader text",
   "base" 			=> "mgt_header_block_wp",
   "class" 			=> "",
   "icon" 			=> "vc_mgt_header_block",
   "params" 	=> array(
   		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "Layout and content settings",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Title",
			"param_name"	=> "title",
			"std"			=> "Header",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Subtitle",
			"param_name"	=> "subtitle",
			"std"			=> "",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Style",
			"param_name"	=> "style",
			"value"			=> array(
				"Title + subtitle"	=> "1",
				"Subtitle + title"	=> "2"
			),
			"description"	=> "",
			"std"			=> "1",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Header font size",
			"param_name"	=> "header_font_size",
			"value"			=> array(
				"H1"	=> "h1",
				"H2"	=> "h2",
				"H3"	=> "h3",
				"H4"	=> "h4",
				"H5"	=> "h5",
				"H6"	=> "h6",
			),
			"description"	=> "",
			"std"			=> "h2",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Text align",
			"param_name"	=> "align",
			"value"			=> array(
				"Left"	=> "left",
				"Center"	=> "center",
				"Right"	=> "right"
			),
			"std"			=> "left",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Text tranform",
			"param_name"	=> "texttransform",
			"value"			=> array(
				"Header uppercase"	=> "header",
				"Subheader uppercase"	=> "subheader",
				"Both uppercase"	=> "both",
				"None"	=> "none"
			),
			"description"	=> "",
			"std"			=> "header",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Title font weight",
			"param_name"	=> "fontweight",
			"value"			=> array(
				"Normal"	=> "normal",
				"Bold"	=> "bold",
				"100"	=> "100",
				"200"	=> "200",
				"300"	=> "300",
				"400"	=> "400",
				"500"	=> "500",
				"600"	=> "600",
				"700"	=> "700",
				"800"	=> "800",
				"900"	=> "900"
			),
			"description"	=> "Make sure you loaded font weight that you selected in Google Fonts settings for Header font in Theme Control Panel.",
			"std"			=> "normal",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Title font size",
			"param_name"	=> "fontsize",
			"value"			=> array(
				"Regular (from H tag)"	=> "regular",
				"Large"	=> "large",
				"Medium"	=> "medium",
			),
			"description"	=> "",
			"std"			=> "regular",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Text color",
			"param_name"	=> "color",
			"value"			=> array(
				"Black"	=> "black",
				"White"	=> "white",
				"Custom (Select color)" 	=> "custom",
			),
			"description"	=> "",
			"std"			=> "black",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Custom text color",
			"param_name"	=> "color_custom",
			"description"	=> "Override text color. Leave empty to use default theme color from previous option.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'color',
				'value' => 'custom',
			),
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "Line settings",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Show line below header block",
			"param_name"	=> "line",
			"value"			=> array(
				"Yes"	=> "1",
				"No"	=> "0"
			),
			"description"	=> "",
			"std"			=> "1",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Line style",
			"param_name"	=> "line_style",
			"value"			=> array(
				"Rounded"	=> "rounded",
				"Squared"	=> "squared"
			),
			"description"	=> "",
			"std"			=> "rounded",
			'dependency' => array(
				'element' => 'line',
				'value' => '1',
			),
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Line top margin",
			"param_name"	=> "line_margin",
			"value"			=> array(
				"Regular"	=> "regular",
				"Large"	=> "large",
				"Small"	=> "small"
			),
			"description"	=> "Margin between line and header title.",
			"std"			=> "large",
			'dependency' => array(
				'element' => 'line',
				'value' => '1',
			),
			"edit_field_class" => "vc_col-xs-6",
		),
		// Line color
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Line color",
			"param_name"	=> "line_color",
			"description"	=> "Override line color.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'line',
				'value' => '1',
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => __( 'Add gradient to line color?', 'js_composer' ),
			'param_name' => 'line_grad',
			"description"	=> "Use this to add second gradient color for line.",
			'dependency' => array(
				'element' => 'line',
				'value' => '1',
			),
		),
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Line second color for gradient",
			"param_name"	=> "line_color_grad",
			"description"	=> "Override line second color for gradient.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'line_grad',
				'value' => 'true',
			),
		),
		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "Effects",
		),
		// CSS Animations
		vc_map_add_css_animation( true ),
		array(
		    'type' => 'css_editor',
		    'heading' => 'Css',
		    'param_name' => 'css',
		    'group' => 'Content Design options',
		),
   )

));
