<?php
// VC [mgt_ico_progress_wp]
vc_map(array(
   "name" 			=> "MGT ICO Progress",
   "category" 		=> 'CryptiBIT Content',
   "description"	=> "ICO progress bar with soft can and hard cap",
   "base" 			=> "mgt_ico_progress_wp",
   "class" 			=> "",
   "icon" 			=> "vc_mgt_ico_progress",
   "params" 	=> array(
   		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "ICO Progress bar settings",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Currency symbol/title",
			"param_name"	=> "currency_symbol",
			"std"			=> "$",
			"description"	=> "For ex.: $",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Funds raised",
			"param_name"	=> "raised",
			"std"			=> "11000000",
			"description"	=> "Without currency symbol, commas, dots",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			'type' => 'checkbox',
			'heading' => 'Display raised funds value inside progress bar?',
			'param_name' => 'raised_display',
			"description"	=> "",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Soft cap ($)",
			"param_name"	=> "softcap",
			"std"			=> "5000000",
			"description"	=> "Without currency symbol, commas, dots",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Hard cap ($)",
			"param_name"	=> "hardcap",
			"std"			=> "25000000",
			"description"	=> "Without currency symbol, commas, dots",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Softcap raised in (Optional, for ex.: 30 days)",
			"param_name"	=> "softcap_time",
			"std"			=> "30 days",
			"description"	=> "",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Progress bar style",
			"param_name"	=> "progress_style",
			"value"			=> array(
				"Squared"	=> "squared",
				"Rounded"	=> "rounded"
			),
			"description"	=> "",
			"std"			=> "squared",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "Color theme",
			"param_name"	=> "theme",
			"value"			=> array(
				"Dark"	=> "dark",
				"Light"	=> "light"
			),
			"description"	=> "",
			"std"			=> "dark",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			'type' => 'checkbox',
			'heading' => __( 'Custom progress bar colors?', 'js_composer' ),
			'param_name' => 'progress_bar_color_custom',
			"description"	=> "Use this to set custom color or gradient for progress bar background.",
		),
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Progress bar background color",
			"param_name"	=> "progress_bar_color_1",
			"description"	=> "Override progress bar background color.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'progress_bar_color_custom',
				'value' => 'true',
			),
		),
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Progress bar second background color for gradient",
			"param_name"	=> "progress_bar_color_2",
			"description"	=> "Override progress bar second background color to make gradient.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'progress_bar_color_custom',
				'value' => 'true',
			),
		),
		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "Effects",
		),
		// CSS Animations
		vc_map_add_css_animation( true ),
		array(
		    'type' => 'css_editor',
		    'heading' => 'Css',
		    'param_name' => 'css',
		    'group' => 'Content Design options',
		),
   )

));
