<?php
// VC [mgt_ico_rating_wp]
vc_map(array(
   "name" 			=> "MGT ICO Rating",
   "category" 		=> 'CryptiBIT Content',
   "description"	=> "ICO rating block with rating stars",
   "base" 			=> "mgt_ico_rating_wp",
   "class" 			=> "",
   "icon" 			=> "vc_mgt_ico_rating",
   "params" 	=> array(
   		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "ICO Rating block settings",
		),
		array(
			"type"			=> "attach_image",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "ICO image (optional)",
			"description"	=> "Transparent PNG 80x80px (2x for retina support) image recommended.",
			"param_name"	=> "image",
			"std"			=> "",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "ICO title",
			"param_name"	=> "title",
			"std"			=> "ICO Magnium",
			"description"	=> "ICO name title.",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "ICO rating (1.0 - 5.0)",
			"param_name"	=> "rating",
			"std"			=> "4.7",
			"description"	=> "ICO rating, from 0 to 5. For ex: 4.7 or 5.",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "ICO rating text",
			"param_name"	=> "rating_text",
			"std"			=> "",
			"description"	=> "Use this if you want to replace rating value with text. For ex: Stable, Positive, Negative, etc.",
			"edit_field_class" => "vc_col-xs-12",
		),
		array(
			"type"			=> "textfield",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "ICO url",
			"param_name"	=> "url",
			"std"			=> "https://google.com/",
			"description"	=> "ICO website url (link added to ICO Rating Block).",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			'type' => 'checkbox',
			'heading' => 'Open link in a new tab',
			'param_name' => 'url_blank',
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> true,
			"heading"		=> "ICO rating block style",
			"param_name"	=> "style",
			"value"			=> array(
				"Squared"	=> "squared",
				"Rounded"	=> "rounded"
			),
			"description"	=> "",
			"std"			=> "squared",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			'type' => 'checkbox',
			'heading' => __( 'Custom ICO rating block colors?', 'js_composer' ),
			'param_name' => 'color_custom',
			"description"	=> "Use this to set custom color or gradient for ICO rating block background.",
		),
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Background color",
			"param_name"	=> "bg_color_1",
			"description"	=> "Override ICO Rating block background color.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'color_custom',
				'value' => 'true',
			),
		),
		array(
			"type"			=> "colorpicker",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Second background color for gradient",
			"param_name"	=> "bg_color_2",
			"description"	=> "Override ICO Rating block second background color to make gradient.",
			"std"			=> "",
			'dependency' => array(
				'element' => 'color_custom',
				'value' => 'true',
			),
		),
		array(
			"type"			=> "dropdown",
			"holder"		=> "div",
			"class" 		=> "hide_in_vc_editor",
			"admin_label" 	=> false,
			"heading"		=> "Text color",
			"param_name"	=> "color",
			"value"			=> array(
				"Black"	=> "black",
				"White"	=> "white"
			),
			'dependency' => array(
				'element' => 'color_custom',
				'value' => 'true',
			),
			"description"	=> "",
			"std"			=> "white",
			"edit_field_class" => "vc_col-xs-6",
		),
		array(
			"type"			=> "mgt_separator",
			"param_name"	=> generate_separator_name(),
			"heading"		=> "Effects",
		),
		array(
			'type' => 'checkbox',
			'heading' => __( 'Add block shadow effect on hover?', 'js_composer' ),
			'param_name' => 'block_hover_shadow_effect',
			"description"	=> "Use this to add shadow to block hover.",
			"edit_field_class" => "vc_col-xs-12",
		),
		// CSS Animations
		vc_map_add_css_animation( true ),
		array(
		    'type' => 'css_editor',
		    'heading' => 'Css',
		    'param_name' => 'css',
		    'group' => 'Content Design options',
		),
   )

));
